import CoUxBlockContent from '../../../../components/10x/ux/ux-block-content.js'
import EuiBasePage from '../eui-base.po.js'

export default class BlockContentPage extends EuiBasePage {

  constructor() {
      super();
  }
  blockContentByIndex(index) {
    let blockContent1 =  new CoUxBlockContent(this.mainContent);
    return blockContent1.byIndex(index);
  }
  blockContentFromSectionById(id) {
    return new CoUxBlockContent(this.sectionById(id));
  }
  blockContentFromSectionWithIdByIndex(id, index) {
    let blockContent1 = new CoUxBlockContent(this.sectionById(id));
    return blockContent1.byIndex(index);
  }
}


